PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Typedefs
ipsock.h File Reference
`#include <ptlib/socket.h>`
`#include "unix/ptlib/ipsock.h"`
Include dependency graph for ipsock.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PIPSocket
| This class describes a type of socket that will communicate using the Internet Protocol. More...
class | PIPSocket::Address
| A class describing an IP address. More...
class | PIPSocket::AddressAndPort
| A class describing an IP address and port number combination. More...
class | PIPSocket::RouteEntry
| Describe a route table entry. More...
class | PIPSocket::RouteTableDetector
| Class for detector of Route Table changes. More...
class | PIPSocket::InterfaceEntry
| Describe an interface table entry. More...
struct | PIPSocket::QoS
struct | PIPSocket::QoS::Flow
class | PIPSocket::sockaddr_wrapper

## Typedefs
typedef PIPSocket::Address | PIPAddress
typedef PIPSocket::AddressAndPort | PIPAddressAndPort
typedef PIPSocket::AddressAndPort | PIPSocketAddressAndPort
typedef std::vector < PIPSocket::AddressAndPort > | PIPSocketAddressAndPortVector

## Typedef Documentation

typedef PIPSocket::Address PIPAddress

typedef PIPSocket::AddressAndPort PIPAddressAndPort

typedef PIPSocket::AddressAndPort PIPSocketAddressAndPort

typedef std::vector<PIPSocket::AddressAndPort> PIPSocketAddressAndPortVector